; ------------------------------------------------------------------------------------------------------
; Konstanten
; ------------------------------------------------------------------------------------------------------
Const
      ; ------------------------------------------------------------------------------------------------------------
      ; XML-Datei-Konstanten  
      ; ------------------------------------------------------------------------------------------------------------
      cMenuElement = "menu", 
      cMenusElement = "menus", 
      cMenuEntryElement = "menuentry", 
      cSubmenuEntryElement = "submenuentry", 
      cNameAttribute = "name", 
      cShortcutAttribute = "shortcut", 
      cCommandAttribute = "command", 
      cParamAttribute = "param", 
      ; ------------------------------------------------------------------------------------------------------------
      ; Konstanten fr die Cursor-Tasten und Bewegungen im Men
      ; ------------------------------------------------------------------------------------------------------------
      cLeft = 1,
      cUp = 2,
      cRight = 3,
      cDown = 4,
      cOpen = 5, 
      cClose = 6, 
      cFirst = 7, 
      cLast = 8,
      ; ------------------------------------------------------------------------------------------------------------
      ; Konstanten fr iMenuStatus
      ; ------------------------------------------------------------------------------------------------------------
      cMenubarActive = 1,
      cMenusOpen = 2,
      cSubmenu = 3,
      cSubmenuIsOpen = 4,
      ; ------------------------------------------------------------------------------------------------------------
      ; Konstanten fr Sounds
      ; ------------------------------------------------------------------------------------------------------------
      cStartMenus = "Boink5.wav", 
      cNoHotkey = "TextReviewOn.wav", 
      cExitMenus = "StartMenu6.wav",
      cControlsReadySound = "msn_switching.wav",
      ; ------------------------------------------------------------------------------------------------------------
      ; Sonstiges
      ; ------------------------------------------------------------------------------------------------------------
      cElementIsUnnamed = " unbeschriftet ",
      cElementIsDeactivated = " (deaktiviert)",
      cUnwantedNamesComplete = "Systemmen",
      cUnwantedNamesPart = "Bildlauf nach |Seite nach|Zeile nach |Bildlaufleiste "


; ------------------------------------------------------------------------------------------------------
; Globale Variablen
; ------------------------------------------------------------------------------------------------------
Globals
      ; ------------------------------------------------------------------------------------------------------------
      ; MS-XML-Objekt
      ; ------------------------------------------------------------------------------------------------------------
      object goXML, 
      ; ------------------------------------------------------------------------------------------------------------
      ; Zeigt den Status des Mens an (ob nur Menleiste aktiv, Men geffnet, usw.
      ; Fr mgliche Werte siehe die Konstanten weiter oben in der Datei unter 
      ; "Konstanten fr iMenuStatus"
      ; ------------------------------------------------------------------------------------------------------------
      int giMenuStatus,
      ; ------------------------------------------------------------------------------------------------------------
      ; Zeigt an, ob ewMenus gestartet (true) oder beenden (false) sind
      ; ------------------------------------------------------------------------------------------------------------
      int giMenus, 
      ; ------------------------------------------------------------------------------------------------------------
      ; Variablen fr die Menleiste 
      ; ------------------------------------------------------------------------------------------------------------
      string gsMenuBar, 
      int giMenuBarPos,
      int giMenuBarMax,
      ; ------------------------------------------------------------------------------------------------------------
      ; Variablen fr die Meneintrge 
      ; ------------------------------------------------------------------------------------------------------------
      string gsMenuEntries, 
      int giMenuEntryPos,
      int giMenuEntryMax,
      ; ------------------------------------------------------------------------------------------------------------
      ; Variablen fr die Untermen-Eintrge 
      ; ------------------------------------------------------------------------------------------------------------
      string gsSubMenuEntries, 
      int giSubMenuEntryPos,
      int giSubMenuEntryMax, 
      ; ------------------------------------------------------------------------------------------------------------
      ; Variablen fr Attribut-Werte in den Meneintrgen 
      ; ------------------------------------------------------------------------------------------------------------
      string gsParam, 
      string gsCommand, 
      string gsShortcut 
